Open CASCADE Technology: Geom2dAdaptor_Curve Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Geom2dAdaptor_Curve Class Reference

An interface between the services provided by any curve from the package Geom2d and those required of the curve by algorithms which use it. More...

`#include <Geom2dAdaptor_Curve.hxx>`

Inheritance diagram for Geom2dAdaptor_Curve:
[legend]

## Public Member Functions
| Geom2dAdaptor_Curve ()
| Geom2dAdaptor_Curve (const Handle< Geom2d_Curve > &C)
| Geom2dAdaptor_Curve (const Handle< Geom2d_Curve > &C, const Standard_Real UFirst, const Standard_Real ULast)
| ConstructionError is raised if Ufirst>Ulast. More...
void | Load (const Handle< Geom2d_Curve > &C)
void | Load (const Handle< Geom2d_Curve > &C, const Standard_Real UFirst, const Standard_Real ULast)
| ConstructionError is raised if Ufirst>Ulast. More...
const Handle< Geom2d_Curve > & | Curve () const
Standard_Real | FirstParameter () const
Standard_Real | LastParameter () const
GeomAbs_Shape | Continuity () const
Standard_Integer | NbIntervals (const GeomAbs_Shape S) const
| If necessary, breaks the curve in intervals of continuity <S>. And returns the number of intervals. More...
void | Intervals (TColStd_Array1OfReal &T, const GeomAbs_Shape S) const
| Stores in <T> the parameters bounding the intervals of continuity <S>. More...
Handle< Adaptor2d_HCurve2d > | Trim (const Standard_Real First, const Standard_Real Last, const Standard_Real Tol) const
| Returns a curve equivalent of <me> between parameters <First> and <Last>. <Tol> is used to test for 3d points confusion. If <First> >= <Last> More...
Standard_Boolean | IsClosed () const
Standard_Boolean | IsPeriodic () const
Standard_Real | Period () const
gp_Pnt2d | Value (const Standard_Real U) const
| Computes the point of parameter U on the curve. More...
void | D0 (const Standard_Real U, gp_Pnt2d &P) const
| Computes the point of parameter U. More...
void | D1 (const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &V) const
| Computes the point of parameter U on the curve with its first derivative. Raised if the continuity of the current interval is not C1. More...
void | D2 (const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &V1, gp_Vec2d &V2) const
| Returns the point P of parameter U, the first and second derivatives V1 and V2. Raised if the continuity of the current interval is not C2. More...
void | D3 (const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &V1, gp_Vec2d &V2, gp_Vec2d &V3) const
| Returns the point P of parameter U, the first, the second and the third derivative. Raised if the continuity of the current interval is not C3. More...
gp_Vec2d | DN (const Standard_Real U, const Standard_Integer N) const
| The returned vector gives the value of the derivative for the order of derivation N. Raised if the continuity of the current interval is not CN. Raised if N < 1. More...
Standard_Real | Resolution (const Standard_Real Ruv) const
| returns the parametric resolution More...
GeomAbs_CurveType | GetType () const
| Returns the type of the curve in the current interval : Line, Circle, Ellipse, Hyperbola, Parabola, BezierCurve, BSplineCurve, OtherCurve. More...
gp_Lin2d | Line () const
gp_Circ2d | Circle () const
gp_Elips2d | Ellipse () const
gp_Hypr2d | Hyperbola () const
gp_Parab2d | Parabola () const
Standard_Integer | Degree () const
Standard_Boolean | IsRational () const
Standard_Integer | NbPoles () const
Standard_Integer | NbKnots () const
virtual Standard_Integer | NbSamples () const
Handle< Geom2d_BezierCurve > | Bezier () const
Handle< Geom2d_BSplineCurve > | BSpline () const
Public Member Functions inherited from Adaptor2d_Curve2d
virtual void | Delete ()
virtual | ~Adaptor2d_Curve2d ()

## Detailed Description

An interface between the services provided by any curve from the package Geom2d and those required of the curve by algorithms which use it.

## Constructor & Destructor Documentation

Geom2dAdaptor_Curve::Geom2dAdaptor_Curve | ( |  | ) |

Geom2dAdaptor_Curve::Geom2dAdaptor_Curve | ( | const Handle< Geom2d_Curve > & | C | ) |

Geom2dAdaptor_Curve::Geom2dAdaptor_Curve | ( | const Handle< Geom2d_Curve > & | C,
|  | const Standard_Real | UFirst,
|  | const Standard_Real | ULast
| ) |  |

ConstructionError is raised if Ufirst>Ulast.

## Member Function Documentation

Handle< Geom2d_BezierCurve > Geom2dAdaptor_Curve::Bezier | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Handle< Geom2d_BSplineCurve > Geom2dAdaptor_Curve::BSpline | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

gp_Circ2d Geom2dAdaptor_Curve::Circle | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

GeomAbs_Shape Geom2dAdaptor_Curve::Continuity | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

const Handle< Geom2d_Curve >& Geom2dAdaptor_Curve::Curve | ( |  | ) | const

void Geom2dAdaptor_Curve::D0 | ( | const Standard_Real | U,
|  | gp_Pnt2d & | P
| ) |  | const
| virtual

Computes the point of parameter U.

Reimplemented from Adaptor2d_Curve2d.

void Geom2dAdaptor_Curve::D1 | ( | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | V
| ) |  | const
| virtual

Computes the point of parameter U on the curve with its first derivative. Raised if the continuity of the current interval is not C1.

Reimplemented from Adaptor2d_Curve2d.

void Geom2dAdaptor_Curve::D2 | ( | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | V1,
|  | gp_Vec2d & | V2
| ) |  | const
| virtual

Returns the point P of parameter U, the first and second derivatives V1 and V2. Raised if the continuity of the current interval is not C2.

Reimplemented from Adaptor2d_Curve2d.

void Geom2dAdaptor_Curve::D3 | ( | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | V1,
|  | gp_Vec2d & | V2,
|  | gp_Vec2d & | V3
| ) |  | const
| virtual

Returns the point P of parameter U, the first, the second and the third derivative. Raised if the continuity of the current interval is not C3.

Reimplemented from Adaptor2d_Curve2d.

Standard_Integer Geom2dAdaptor_Curve::Degree | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

gp_Vec2d Geom2dAdaptor_Curve::DN | ( | const Standard_Real | U,
|  | const Standard_Integer | N
| ) |  | const
| virtual

The returned vector gives the value of the derivative for the order of derivation N. Raised if the continuity of the current interval is not CN. Raised if N < 1.

Reimplemented from Adaptor2d_Curve2d.

gp_Elips2d Geom2dAdaptor_Curve::Ellipse | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Real Geom2dAdaptor_Curve::FirstParameter | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

GeomAbs_CurveType Geom2dAdaptor_Curve::GetType | ( |  | ) | const
| virtual

Returns the type of the curve in the current interval : Line, Circle, Ellipse, Hyperbola, Parabola, BezierCurve, BSplineCurve, OtherCurve.

Reimplemented from Adaptor2d_Curve2d.

gp_Hypr2d Geom2dAdaptor_Curve::Hyperbola | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

void Geom2dAdaptor_Curve::Intervals | ( | TColStd_Array1OfReal & | T,
|  | const GeomAbs_Shape | S
| ) |  | const
| virtual

Stores in <T> the parameters bounding the intervals of continuity <S>.

The array must provide enough room to accomodate for the parameters. i.e. T.Length() > NbIntervals()

Reimplemented from Adaptor2d_Curve2d.

Standard_Boolean Geom2dAdaptor_Curve::IsClosed | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Boolean Geom2dAdaptor_Curve::IsPeriodic | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Boolean Geom2dAdaptor_Curve::IsRational | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Real Geom2dAdaptor_Curve::LastParameter | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

gp_Lin2d Geom2dAdaptor_Curve::Line | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

void Geom2dAdaptor_Curve::Load | ( | const Handle< Geom2d_Curve > & | C | ) |

void Geom2dAdaptor_Curve::Load | ( | const Handle< Geom2d_Curve > & | C,
|  | const Standard_Real | UFirst,
|  | const Standard_Real | ULast
| ) |  |

ConstructionError is raised if Ufirst>Ulast.

Standard_Integer Geom2dAdaptor_Curve::NbIntervals | ( | const GeomAbs_Shape | S | ) | const
| virtual

If necessary, breaks the curve in intervals of continuity <S>. And returns the number of intervals.

Reimplemented from Adaptor2d_Curve2d.

Standard_Integer Geom2dAdaptor_Curve::NbKnots | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Integer Geom2dAdaptor_Curve::NbPoles | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

virtual Standard_Integer Geom2dAdaptor_Curve::NbSamples | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

gp_Parab2d Geom2dAdaptor_Curve::Parabola | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Real Geom2dAdaptor_Curve::Period | ( |  | ) | const
| virtual

Reimplemented from Adaptor2d_Curve2d.

Standard_Real Geom2dAdaptor_Curve::Resolution | ( | const Standard_Real | Ruv | ) | const
| virtual

returns the parametric resolution

Reimplemented from Adaptor2d_Curve2d.

Handle< Adaptor2d_HCurve2d > Geom2dAdaptor_Curve::Trim | ( | const Standard_Real | First,
|  | const Standard_Real | Last,
|  | const Standard_Real | Tol
| ) |  | const
| virtual

Returns a curve equivalent of <me> between parameters <First> and <Last>. <Tol> is used to test for 3d points confusion. If <First> >= <Last>

Reimplemented from Adaptor2d_Curve2d.

gp_Pnt2d Geom2dAdaptor_Curve::Value | ( | const Standard_Real | U | ) | const
| virtual

Computes the point of parameter U on the curve.

Reimplemented from Adaptor2d_Curve2d.

The documentation for this class was generated from the following file:

- Geom2dAdaptor_Curve.hxx